# Transformations

Summary

Transformations |
Functions |
gdImageFlipVertical | Flip an image vertically
gdImageFlipHorizontal | Flip an image horizontally
gdImageFlipBoth | Flip an image vertically and horizontally

### Functions

### gdImageFlipVertical

> void gdImageFlipVertical( | gdImagePtr | im | )

Flip an image vertically

The image is mirrored upside-down.

#### Parameters

im | The image.

#### See also

- gdImageFlipHorizontal
- gdImageFlipBoth

### gdImageFlipHorizontal

> void gdImageFlipHorizontal( | gdImagePtr | im | )

Flip an image horizontally

The image is mirrored left-right.

#### Parameters

im | The image.

#### See also

- gdImageFlipVertical
- gdImageFlipBoth

### gdImageFlipBoth

> void gdImageFlipBoth( | gdImagePtr | im | )

Flip an image vertically and horizontally

The image is mirrored upside-down and left-right.

#### Parameters

im | The image.

#### See also

- gdImageFlipVertical
- gdImageFlipHorizontal

> void gdImageFlipVertical( | gdImagePtr | im | )

Flip an image vertically

> void gdImageFlipHorizontal( | gdImagePtr | im | )

Flip an image horizontally

> void gdImageFlipBoth( | gdImagePtr | im | )

Flip an image vertically and horizontally
Close